<!DOCTYPE html>
<html lang="{{ $.Site.LanguageCode | default "en-us" }}">
    {{ block "head" . }}{{- partial "site/head.html" . -}}{{ end }}
    <body>
        {{ block "header " . }}{{ partial "site/header.html" . }}{{ end }}
        {{ block "primary-navigation " . }}{{ partial "site/primary-nav.html" . }}{{ end }}

        <div class="max-w-7xl mx-auto pb-12 px-4 sm:px-6 lg:px-8 overflow-hidden">
            <div id="content" class="py-6">
                <main class="" role="main">
                    {{- block "main" . }}{{- end }}
                    <!-- register blocks here -->
                    {{- range .Params.blocks -}}
                        {{- if eq .template "b-hero" -}}{{ partial "blocks/b-hero" (dict "Params" . "ctx" $.Site) }}{{- end -}}
                        {{- if eq .template "b-feature-grid" -}}{{ partial "blocks/b-feature-grid" (dict "Params" . ) }}{{- end -}}
                        {{- if eq .template "b-faqs" -}}{{ partial "blocks/b-faqs" (dict "Params" . ) }}{{- end -}}
                        {{- if eq .template "b-team" -}}{{ partial "blocks/b-team" (dict "Params" . "ctx" $.Site) }}{{- end -}}
                        {{- if eq .template "b-testimonial" -}}{{ partial "blocks/b-testimonial" (dict "Params" .) }}{{- end -}}
                        {{- if eq .template "b-alternate-image" -}}{{ partial "blocks/b-alternate-image" (dict "Params" . "ctx" $.Site) }}{{- end -}}
                        {{- if eq .template "b-cta" -}}{{ partial "blocks/b-cta" (dict "Params" . "ctx" $.Site) }}{{- end -}}
                        {{- if eq .template "b-updates" -}}{{ partial "blocks/b-updates" (dict "Params" . "ctx" $.Site ) }}{{- end -}}
                        {{- if eq .template "b-contact" -}}{{ partial "blocks/b-contact" (dict "Params" . "ctx" $.Site) }}{{- end -}}
                    {{ end }}
                </main>
            </div><!--#content-->
        </div><!--.maxw-->
        {{ block "footer" . }}{{ partial "site/footer.html" . }}{{ end }}
        {{ block "site/scripts-foot" . }}{{ partial "site/scripts-foot.html" . }}{{ end }}
    </body>
</html>
